Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
  • 3 commits
  • 2 files changed
  • 0 commit comments
  • 2 contributors
Commits on May 14, 2012
Philip K. Warren Fix display of RabbitMQ components on ExtJS 4. ceeb60d
Philip K. Warren Forgot to bump version. c15fa88
@cluther cluther Merge pull request #9 from pkwarren/42_javascript
Fix display of RabbitMQ components on ExtJS 4.
37db1eb
View
4 ZenPacks/zenoss/RabbitMQ/browser/resources/js/RabbitMQDevice.js
@@ -23,9 +23,11 @@ Zenoss.types.register({
Ext.apply(Zenoss.render, {
entityLinkFromGrid: function(obj) {
+ // Compatibility fix for ExtJS3 or 4.
+ var fmt = Ext.isDefined(Ext.String) ? Ext.String.format : String.format;
if (obj && obj.uid && obj.name) {
if ( !this.panel || this.panel.subComponentGridPanel) {
- return String.format(
+ return fmt(
'<a href="javascript:Ext.getCmp(\'component_card\').componentgrid.jumpToEntity(\'{0}\', \'{1}\');">{1}</a>',
obj.uid, obj.name);
} else {
View
2  setup.py
@@ -3,7 +3,7 @@
# or saved. Do not modify them directly here.
# NB: PACKAGES is deprecated
NAME = "ZenPacks.zenoss.RabbitMQ"
-VERSION = "1.0.1"
+VERSION = "1.0.2"
AUTHOR = "Zenoss Labs"
LICENSE = "GPLv2"
NAMESPACE_PACKAGES = ['ZenPacks', 'ZenPacks.zenoss']

No commit comments for this range

Something went wrong with that request. Please try again.